@import '../mixins.scss';

.contacts {
    background-image: url('/src/assets/img/contacts-bg.png');
    background-position: left bottom;
    background-repeat: no-repeat;
    background-size: cover;
    padding-bottom: 65px;

    @media (max-width: 1221px) {
        padding-top: 30px;
    }

    @media (max-width: 993px) {
        background-image: none;
        background-color: $primary-bg;    
    }
    &__container {
        display: flex;
        flex-direction: column;
        margin-top: 150px;
        max-width: 925px;
        padding: 0 15px;
        margin: 0 auto;
        position: relative;
    }
    &__form-container {
        background-image: url('/src/assets/img/bg-form.jpg');
        background-repeat: no-repeat;
        background-size: cover;
        width: 95%;
        padding: 35px 170px;
        height: 445px;
        margin: 0 auto;
        order: 1;
        position: absolute;
        left: 50%;
        transform: translateX(-50%) translateY(-50%);
        @media (max-width: 1201px) {
            padding: 35px 0px;
            background-image: none;
            background-color: $primary-bg;
            transform: translateX(0%) translateY(0%);
            position: relative;
            left: 0;
            width: 100%;
            flex-direction: column;
            justify-content: flex-start;
            align-items: center;
        }
    }
    &__form-title {
        font-family: 'Yeseva One';
        font-style: normal;
        font-weight: normal;
        font-size: 20px;
        line-height: 28px;
        text-align: center;
        text-transform: uppercase;
        color: $primary-color-text;
    }
    &__form {
        @media (max-width: 1200px) {
            margin-top: 40px;
            width: 95%;
            flex-direction: column;
            justify-content: flex-start;
            align-items: center;
            position: relative;
            padding-bottom: 50px;
            margin: 0 auto;
        }
    }
    &__form-input-group {
        width: calc((100% - 50px)/3);
        margin: 0 0px;
        justify-content: center;
        display: flex;;
        flex-direction: column;
        @media (max-width: 1200px) {
            width: 45%;
            margin: 0 auto;
        }
        @media (max-width: 561px) {
            width: 100%;
        }
        &--phone {
            @media (max-width: 1201px) {
                margin-top: 53px;
            }
        }
    }
    &__btn {
        margin: 0 auto;
        text-align: center;
        margin-top: 50px;
    }
    &__name-number {
        display: flex;
        justify-content: space-between;
        margin-top: 35px;
        @media (max-width: 1201px) {
            flex-direction: column;
        }
    }

    &__form-input-question {
        margin-top: 35px;
        @media (max-width: 1200px) {
            margin-top: 53px;
        }
    }
    &__number {
        margin: 0 auto;
        margin-top: 280px;
        text-align: center;
        max-width: 570px;
        order: 2;
        @media (max-width: 1200px) {
            margin-top: 100px;
        }
        @media (max-width: 561px) {
            order: 3;
            margin-top: 43px;
        }
        a {
            font-family: 'Yeseva One';
            font-style: normal;
            font-weight: normal;
            font-size: 20px;
            line-height: 28px;
            text-align: center;
            text-transform: uppercase;
            color: $primary-color-text-extra;
        }
    }
    &__social {
        display: flex;
        width: 71px;
        justify-content: space-between;
        margin: 0 auto;
        margin-top: 25px;
        order: 3;
        @media (max-width: 561px) {
            order: 4;
        }
    }
    &__mail {
        background-image: url(/src/assets/svg/socia-mail.svg);
        @include social-icon;
        @media (max-width: 561px) {
            @include social-icon-mobile;
        }
    }
    &__instagram {
        background-image: url(/src/assets/svg/social-instagram.svg);
        @include social-icon;
        @media (max-width: 561px) {
            @include social-icon-mobile;
            margin-left: 10px;
        }
    }
    &__map {
        margin: 0 auto;
        width: 100%;
        margin-top: 40px;
        order: 4;
        iframe {
            width: 100%;
            height: 455px;
            @media (max-width: 561px) {
                height: 255px;
            }
        }
        @media (max-width: 561px) {
            margin-top: 100px;
            order: 2;
        }
    }
}